/**
 *  Reload Dweezil Library - Handles GUI, Undo and Utility functions
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.dweezil.gui;

import javax.swing.*;

/**
 * Class to implement a dialog window with yes, yes to all and no options.
 *
 * @author Paul Sharples
 * @version 2003-04-28
 */
public class ReloadYesAllNoDialog
extends JOptionPane
{

     public static final int CLOSE = -1;
     public static final int YES = 0;
     public static final int YES_TO_ALL = 1;
     public static final int NO = 2;
     public static final int CANCEL = 3;
     public static final Object[] options = {"Yes", "Yes to All", "No", "Cancel"};

	 /**
	  * Default constructor
	  */
     public ReloadYesAllNoDialog() {
     }

     /**
      * A wrapper method for showOptionDialog
      * @param parent the non-null parent frame from which the dialog is displayed
      * @param msg the message to be displayed in the dialog
      * @param title the title of the dialog
      * @return - the users choice
      */
     public int getUserResponse(JFrame parent, String msg, String title) {
         return super.showOptionDialog(parent,
                                       msg, title,
                                       JOptionPane.DEFAULT_OPTION,
                                       JOptionPane.WARNING_MESSAGE,
                                       null, options, options[0]);
     }



}