<?xml version="1.0"?>
<xsl:stylesheet version = "1.0" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:vdexns="http://www.imsglobal.org/xsd/imsvdex_v1p0"
 xmlns:lomns="http://www.imsglobal.org/xsd/imsmd_rootv1p2p1"
 exclude-result-prefixes="vdexns lomns">

<xsl:output method="xml" indent="yes"/>
	
	<xsl:template match="vdexns:root">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="vdexns:vdex">
		<xsl:apply-templates select="//vdexns:vdex[vdexns:metadata]"/>			
	</xsl:template>
	
	<xsl:template match="vdexns:vdex[vdexns:metadata]">
		<xsl:apply-templates select="vdexns:metadata[lomns:lom]"/>
	</xsl:template>	
	
	<xsl:template match="vdexns:metadata[lomns:lom]">
		<begin>	
			<xsl:apply-templates select="//lomns:general[lomns:keyword]"/>			
		</begin>
	</xsl:template>
	
	<xsl:template match="lomns:general[lomns:keyword]">
		<xsl:apply-templates select="lomns:keyword"/>
	</xsl:template>	
	
	<xsl:template match="lomns:keyword">
		<xsl:for-each select="lomns:langstring">		
			<item>
				<xsl:value-of select="."/>
			</item>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>


