/**
  *  RELOAD Editor - An IMS Metadata, Content Packaging and Learning Design tool.
  *
  *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Phil Barker, Tina Manoharan
  *
  *  Permission is hereby granted, free of charge, to any person obtaining a copy
  *  of this software and associated documentation files (the "Software"), to deal
  *  in the Software without restriction, including without limitation the rights
  *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  *  copies of the Software, and to permit persons to whom the Software is
  *  furnished to do so, subject to the following conditions:
  *
  *  The above copyright notice and this permission notice shall be included in
  *  all copies or substantial portions of the Software.
  *
  *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  *
  *  Project Management Contact:
  *
  *  Oleg Liber
  *  Bolton Institute of Higher Education
  *  Deane Road
  *  Bolton BL3 5AB
  *  UK
  *
  *  e-mail:   o.liber@bolton.ac.uk
  *
  *  Phil Barker
  *  ICBL, Heriot-Watt University
  *  Riccarton
  *  Edinburgh EH14 4AS
  *  UK
  *
  *  e-mail:   philb@icbl.hw.ac.uk
  *
  *
  *  Technical Contact:
  *
  *  Phillip Beauvoir
  *  e-mail:   p.beauvoir@bolton.ac.uk
  *
  *  Web:      http://www.reload.ac.uk
  *
  *  Tina Manoharan
  *  e-mail:   ceetm2@macs.hw.ac.uk
  *
  */

package uk.ac.reload.editor.metadata.vdexBrowser;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


/**
 * The Panel used to display the Vocabulary Metadata.
 *
 * @author Tina Manoharan
 * @version 2003-09-11
 */
public class VdexMetadataPanel extends JPanel {

	/**
	 * The JEditorPane to display the Vocabulary Metadata information
	 */
	private JEditorPane editor;

	/**
	 * The JScrollPane
	 */
	private JScrollPane scroll;

	// private String mimeType = "text/html";

	/**
	 * The mime type for the contents in the JEditorPane
	 */
	private String mimeType = "text/plain";

	/**
	 * The vocabulary metadata
	 */
	private String metadata = "";


	/**
	 * Constructor
	 * @param vocabNode the object that contains information about the vdex vocabulary, that is the name, id, default language, metadata
	 */
	public VdexMetadataPanel(VdexVocabNode vocabNode) {

		super();

		setLayout(new BorderLayout());

		setBackground(Color.white);

		// metadata += "<html><head>";
		// metadata += "<style type=\"text/css\">";
		// metadata += "body { font-size: 10px; font-family: sans-serif; }";
		// metadata += "</style>";
		// metadata += "</head><body>";

		// metadata += vocabNode.getVocabMD();

		String[] mds = vocabNode.getVocabMD();

		for(int i = 0; i < mds.length; i++) {

			metadata += mds[i] + "\n";
		}

		// metadata += "</body></html>";

		editor = new JEditorPane(mimeType, metadata);

		editor.setEditable(false);

		scroll = new JScrollPane(editor);

		add(scroll, BorderLayout.CENTER);
	}

}