/**
 *  RELOAD Editor - An IMS Metadata, Content Packaging and Learning Design tool.
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.ldeditor.menu;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import uk.ac.reload.dweezil.gui.*;
import uk.ac.reload.dweezil.menu.*;
import uk.ac.reload.ldeditor.*;

/**
 * The "Look & Feel" Menu Item for the Application.
 * Extends MenuAction.
 *
 * @author Phillip Beauvoir
 * @version 2003-09-17
 */
public class MenuAction_LookAndFeel
extends MenuAction
{
    /**
     * The Look & Feel for this Menu selection
     */
    protected UIManager.LookAndFeelInfo lfInfo;

    /**
     * Constructor for installed L&F
     * @param lfInfo The LookAndFeelInfo of the L&F
     */
    public MenuAction_LookAndFeel(UIManager.LookAndFeelInfo lfInfo) {
        super(lfInfo.getName());
        this.lfInfo = lfInfo;
    }

    /**
     * The Menu Item was selected.
     * @param e ActionEvent
     */
    public void actionPerformed(ActionEvent e) {
        // Inbuilt L&F
        ReloadUIManager.setLookAndFeel(lfInfo.getClassName(), new Component[] { LDEditor.getInstance(), LDEditor.getInstance().getStatusWindow()});
    }

}
