/**
  *  RELOAD Editor - An IMS Metadata, Content Packaging and Learning Design tool.
  *
  *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Phil Barker, Tina Manoharan
  *
  *  Permission is hereby granted, free of charge, to any person obtaining a copy
  *  of this software and associated documentation files (the "Software"), to deal
  *  in the Software without restriction, including without limitation the rights
  *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  *  copies of the Software, and to permit persons to whom the Software is
  *  furnished to do so, subject to the following conditions:
  *
  *  The above copyright notice and this permission notice shall be included in
  *  all copies or substantial portions of the Software.
  *
  *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  *
  *  Project Management Contact:
  *
  *  Oleg Liber
  *  Bolton Institute of Higher Education
  *  Deane Road
  *  Bolton BL3 5AB
  *  UK
  *
  *  e-mail:   o.liber@bolton.ac.uk
  *
  *  Phil Barker
  *  ICBL, Heriot-Watt University
  *  Riccarton
  *  Edinburgh EH14 4AS
  *  UK
  *
  *  e-mail:   philb@icbl.hw.ac.uk
  *
  *
  *  Technical Contact:
  *
  *  Phillip Beauvoir
  *  e-mail:   p.beauvoir@bolton.ac.uk
  *
  *  Web:      http://www.reload.ac.uk
  *
  *  Tina Manoharan
  *  e-mail:   ceetm2@macs.hw.ac.uk
  *
  */

package uk.ac.reload.moonunit.dom.vocabulary;

import uk.ac.reload.moonunit.dom.*;

/**
 * Core IMS VDEX Vocabulary Methods and Functionality (none at the moment)
 *
 * @author Tina Manoharan
 * @version 2003-11-28
 */
public class VocabularyCore {

	/**
	 * The Vocabulary Root Element name
	 */
    public static final String ROOT_NAME = "vdex";


    // Elements
    public static final String VOCABULARY_NAME = "vocabName";
    public static final String VOCABULARY_IDENTIFIER = "vocabIdentifier";
    public static final String VOCABULARY_METADATA = "metadata";

    public static final String TERM = "term";
    public static final String TERM_IDENTIFIER = "termIdentifier";
    public static final String TERM_CAPTION = "caption";
    public static final String TERM_DESCRIPTION = "description";
    public static final String TERM_MEDIA_DESCRIPTOR = "mediaDescriptor";
    public static final String TERM_MEDIA_LOCATOR = "mediaLocator";
    public static final String TERM_INTERPRETATION_NOTE = "interpretationNote";
    public static final String TERM_RELATIONSHIP = "relationship";
    public static final String TERM_TARGET_TERM = "targetTerm";
    public static final String TERM_RELATIONSHIP_TYPE = "relationshipType";
    public static final String TERM_METADATA = "metadata";

    public static final String LANGSTRING = "langstring";
    public static final String LANGUAGE = "language";

    // Attributes
    public static final String PROFILE_TYPE = "profileType";


    // Paths
    public static final String VOCABULARY_NAME_PATH = "vdex/vocabName/langstring";
    public static final String VOCABULARY_IDENTIFIER_PATH = "vdex/vocabIdentifier";
    public static final String VOCABULARY_METADATA_PATH = "vdex/metadata";

    public static final String TERM_PATH = "vdex/term";
    public static final String TERM_IDENTIFIER_PATH = "vdex/term/termIdentifier";
    public static final String TERM_CAPTION_PATH = "vdex/term/caption/langstring";
    public static final String TERM_DESCRIPTION_PATH = "vdex/term/description/langstring";
    public static final String TERM_MEDIA_DESCRIPTOR_PATH = "vdex/term/mediaDescriptor";
    public static final String TERM_MEDIA_LOCATOR_PATH = "vdex/term/mediaDescriptor/mediaLocator";
    public static final String TERM_INTERPRETATION_NOTE_PATH = "vdex/term/mediaDescriptor/interpretationNote/langstring";
    public static final String TERM_RELATIONSHIP_PATH = "vdex/term/relationship";
    public static final String TERM_TARGET_TERM_PATH = "vdex/term/relationship/targetTerm";
    public static final String TERM_RELATIONSHIP_TYPE_PATH = "vdex/term/relationship/relationshipType";
    public static final String TERM_METADATA_PATH = "vdex/term/metadata";


    /**
     * The JDOM Document that forms the Vocabulary document that we shall be working on
     */
    protected ReloadDocument _doc;

    /**
     * Constructor
     */
    public VocabularyCore(ReloadDocument doc) {
        _doc = doc;
    }

}