/**
 *  RELOAD SCORM Runtime Environment - A SCORM package runtime player
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.scormplayer.client.gui.mainwindow.itemwindow;

import java.awt.*;
import javax.swing.*;
import javax.swing.tree.*;

import uk.ac.reload.scormplayer.client.gui.*;

import uk.ac.reload.dweezil.gui.tree.*;
import uk.ac.reload.dweezil.gui.*;


public class CMIModelTreeRenderer extends DefaultTreeCellRenderer {

    public CMIModelTreeRenderer() {
    }

    public Component getTreeCellRendererComponent(JTree tree, Object value,
            boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus) {

        if(value instanceof CMIModelTreeNode) {

            CMIModelTreeNode selNode = (CMIModelTreeNode) value;
            if (!selNode.isRoot()){
                // Set some icons
                setLeafIcon(selNode == null ? null : selNode.getLeafIcon());
                setClosedIcon(selNode == null ? null : selNode.getClosedIcon());
                setOpenIcon(selNode == null ? null : selNode.getOpenIcon());
            }
            else {
                setLeafIcon(selNode == null ? null : ReloadUIManager.getIcon(ReloadScormPlayer.ICON_CMI_ROOT_CLOSED));
                setClosedIcon(selNode == null ? null : ReloadUIManager.getIcon(ReloadScormPlayer.ICON_CMI_ROOT_CLOSED));
                setOpenIcon(selNode == null ? null : ReloadUIManager.getIcon(ReloadScormPlayer.ICON_CMI_ROOT_OPEN));
            }

        }

        return super.getTreeCellRendererComponent(tree, value, selected, expanded, leaf, row, hasFocus);
    }
}




