/**
 *  RELOAD SCORM Runtime Environment - A SCORM package runtime player
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.scormplayer.client.gui.mainwindow.itemwindow;

import javax.swing.*;
import java.awt.*;
import javax.swing.table.*;

import uk.ac.reload.scormplayer.client.gui.mainwindow.*;

public class DetailPanel extends JPanel {

    private	JTable		table;
    private	JScrollPane scrollPane;
    protected TitlePanel _title;
    protected String columnNames[] = { "Attribute", "Value"};
    protected static DefaultTableModel model;
    protected  Object[][] dataValues = {
           {  "Title", "" },
           {  "Item ID", "" },
           {  "Sco Type", "" },
           {  "Launch", "" },
           {  "Prerequisites", "" }
    };

    public DetailPanel() {
         setLayout(new BorderLayout());
        _title = new TitlePanel("Item Information");
        this.add(_title, BorderLayout.NORTH);
        // Create some data
        model = new DefaultTableModel(dataValues, columnNames);
        // Create a new table instance
        table = new JTable( model);
        // Add the table to a scrolling pane
        scrollPane = new JScrollPane( table );
        scrollPane.setPreferredSize(new Dimension (80,105));
        add( scrollPane, BorderLayout.SOUTH );
    }


    public void updateTable(String[] values){
        for (int i=0; i<5; i++){
            dataValues[i][1] = values[i];
        }
        model = new DefaultTableModel(dataValues, columnNames);
        table.setModel(model);
        model.fireTableDataChanged();
    }
}