/**
 *  RELOAD SCORM Runtime Environment - A SCORM package runtime player
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.scormplayer.client.gui.mainwindow.navigationwindow;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;
import javax.swing.border.LineBorder;

/**
 * A class to hold a JPanel with a checkbox within it.  This checkbox is
 * used to allow the user to chnage the default organization in the navigation
 * file used by the runitime environment
 * @author Paul Sharples
 * @version 2003-09-29
 */
public class ChooseDefaultOrgPanel
    extends JPanel implements ActionListener{

    /**
     * The checkbox to choose default org
     */
    protected JCheckBox _setDefOrg;

    /**
     * Our constructor with parent swing component as parameter
     * @param parent
     */
    public ChooseDefaultOrgPanel(Component parent) {
        _setDefOrg = new JCheckBox("Set Organization as default");
        _setDefOrg.addActionListener((OrganizationPanel)parent);
        _setDefOrg.setBackground(Color.white);
        this.setBackground(Color.white);
        this.setLayout(new FlowLayout(FlowLayout.LEFT));
        this.add(_setDefOrg);
    }

    /**
     * Method to ensure that if the user selects the default organzation
     * in the organization panel, then the checkbox is uneditable.  This
     * ensures that there is always a default organization to play.
     * @param isTicked - boolean indicating if the checkbox is checked
     */
    public void setCheckBoxState(boolean isTicked) {
        _setDefOrg.setSelected(isTicked);
        if (isTicked){
            setEditable(false);
        }
        else{
            setEditable(true);
        }
    }

    public void setEditable(boolean enabled){
        _setDefOrg.setEnabled(enabled);
    }

     public void actionPerformed(ActionEvent e) {}
}