/**
 *  RELOAD SCORM Runtime Environment - A SCORM package runtime player
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.scormplayer.client.gui.mainwindow.navigationwindow;


import java.io.*;
import javax.swing.event.*;
import javax.swing.tree.*;

import org.jdom.*;

import uk.ac.reload.dweezil.gui.tree.*;

import uk.ac.reload.scormplayer.client.gui.mainwindow.*;
/**
 * A class to show the organizations with a package using a JTree (ReloadTree)
 * @author Paul Sharples
 * @version 2003-09-29
 */
public class NavigationTree extends ReloadTree
implements TreeSelectionListener {

    /**
     * The Tree Model
     */
    public NavigationTreeModel _treeModel;

    /**
     * Constructor - set various defaults
     */
    public NavigationTree() {
       _treeModel = new NavigationTreeModel();
       setTree(null);
       setModel(_treeModel);
       addTreeSelectionListener(this);
       setCellRenderer(new NavigationTreeRenderer());
       getSelectionModel().setSelectionMode(TreeSelectionModel.SINGLE_TREE_SELECTION);
   }

   /**
    * Method to allow us update tree view
    * @param org
    */
   public void setTree(Element org) {
       _treeModel.setTree(org);
       expandTree();
   }

   /**
    * Method to allow us expand the JTree
    */
   private void expandTree() {
       int count = this.getRowCount();
       for (int i = 0; i < count; i++) {
           this.expandRow(i);
       }
       if (this.getRowCount() != count)
           expandTree();
   }

    public void valueChanged(TreeSelectionEvent event) {}

}