/**
 *  RELOAD SCORM Runtime Environment - A SCORM package runtime player
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.scormplayer.client.gui.mainwindow.packagewindow;

import java.io.*;

import uk.ac.reload.dweezil.gui.tree.*;
import uk.ac.reload.scormplayer.tomcat.TomcatConstants;

/**
 * Our tree model for the package tree of currently imported packages
 * @author Paul Sharples
 * @version 2003-09-29
 */
public class PackageTreeModel extends ReloadTreeModel{

    public PackageTreeModel() {
    }

    public void setTree(){
        File appFolder = TomcatConstants.FULL_COURSES_PATH;
        root = new PackageTreeNode(appFolder);
        buildView( (PackageTreeNode) root, appFolder);
        reload();
    }

    /**
     * Build up child nodes
     */
    public void buildView(PackageTreeNode node, File start) {
        if (node == null || start == null)
            return;
        File[] children = start.listFiles();

        for (int i = 0; i < children.length; i++) {
            if (children[i].isDirectory()){
                PackageTreeNode newNode = new PackageTreeNode(children[i]);
                node.add(newNode);
            }
        }
    }

}