/**
 *  RELOAD SCORM Runtime Environment - A SCORM package runtime player
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */


package uk.ac.reload.scormplayer.client.gui.prefs;

import javax.swing.*;

import uk.ac.reload.dweezil.prefs.*;
import uk.ac.reload.dweezil.gui.layout.*;

public class LMS_PrefsPanel
extends PrefsPanel{

    /**
     * Default UserId
     */
    private JTextField _tfDefaultUserID;

    /**
     * Default Username
     */
    private JTextField _tfDefaultUserName;


    public LMS_PrefsPanel() {
        setLayout(new XYLayout());
        constructFields();
    }

    /**
   * Set up the fields
   */
  private void constructFields() {
      int x = 10;
      int y = 10;

      // ============ Default User id to use ==================
      JLabel idLabel = new JLabel("UserID to use in LMS:");
      add(idLabel, new XYConstraints(x, y + 2, 0, 0));
      _tfDefaultUserID = new JTextField();
      add(_tfDefaultUserID, new XYConstraints(x += 130, y, 300, TEXTBOX_HEIGHT));

      y += 30;
      x -= 130;
      // ============ Default User id to use ==================
      JLabel userLabel = new JLabel("Username to use in LMS:");
      add(userLabel, new XYConstraints(x, y + 2, 0, 0));
      _tfDefaultUserName = new JTextField();
      add(_tfDefaultUserName, new XYConstraints(x += 130, y, 300, TEXTBOX_HEIGHT));
  }

  /**
    * Update UserPrefs according to the controls' settings
    */
   public void saveToUserPrefs(UserPrefs prefs) {
       prefs.putValue(ReloadScormPlayerPrefs.DEFAULT_USERID, _tfDefaultUserID.getText());
       prefs.putValue(ReloadScormPlayerPrefs.DEFAULT_USERNAME, _tfDefaultUserName.getText());
   }


   /**
    * Set the fields' settings from those found in UserPrefs
    */
   public void setFields(UserPrefs prefs) {
       // Set value in field
       _tfDefaultUserID.setText(prefs.getValue(ReloadScormPlayerPrefs.DEFAULT_USERID));
       _tfDefaultUserName.setText(prefs.getValue(ReloadScormPlayerPrefs.DEFAULT_USERNAME));
   }

}