/**
  *  RELOAD SCORM Runtime Environment - A SCORM package runtime player
  *
  *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
  *
  *  Permission is hereby granted, free of charge, to any person obtaining a copy
  *  of this software and associated documentation files (the "Software"), to deal
  *  in the Software without restriction, including without limitation the rights
  *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  *  copies of the Software, and to permit persons to whom the Software is
  *  furnished to do so, subject to the following conditions:
  *
  *  The above copyright notice and this permission notice shall be included in
  *  all copies or substantial portions of the Software.
  *
  *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  *
  *  Project Management Contact:
  *
  *  Oleg Liber
  *  Bolton Institute of Higher Education
  *  Deane Road
  *  Bolton BL3 5AB
  *  UK
  *
  *  e-mail:   o.liber@bolton.ac.uk
  *
  *
  *  Technical Contact:
  *
  *  Phillip Beauvoir
  *  e-mail:   p.beauvoir@bolton.ac.uk
  *
  *  Web:      http://www.reload.ac.uk
  *
  */

package uk.ac.reload.scormplayer.server;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import uk.ac.reload.scormplayer.server.manager.*;
import uk.ac.reload.scormplayer.tomcat.*;

public class ScormLaunch extends HttpServlet {

  /**
  * Our singleton scorm package to play
  */
  public static ScormManager PackageToPlay;

  public static final String CONTENT_TYPE = "text/html";

  public void init() throws ServletException {}

  //Process the HTTP Get request
  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    //The CP
	File theFile;
    String scormID = request.getParameter("scormPackageID");
    boolean nav =  Boolean.valueOf(request.getParameter("nav")).booleanValue();
    boolean tree = Boolean.valueOf(request.getParameter("tree")).booleanValue();
    if (scormID == "" || scormID == null) {
		throw new ServletException();
    }
	else{
        try {
            theFile = new File(scormID);
            PackageToPlay = new ScormManager(scormID, tree, nav);
            if (PackageToPlay._error_found){
                response.sendRedirect(
                    "http://"+TomcatConstants.HOST+":8080/reload-scorm-player/error.htm");
            }
            else{
                response.sendRedirect(
                    "http://"+TomcatConstants.HOST+":8080/reload-scorm-player/LMSMain.htm");
            }
        }
        catch (Exception ex) {
            System.out.println("Error trying to play package.");
        }
	}
    // shouldn't really get this far, but just in case...
    response.setContentType(CONTENT_TYPE);
  }


  //Process the HTTP Post request
  public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    response.setContentType(CONTENT_TYPE);
    PrintWriter out = response.getWriter();
    out.println("<html>");
    out.println("<head><title>ScormLaunch</title></head>");
    out.println("<body bgcolor=\"#ffffff\">");
    out.println("<p>This servlet has received a POST request, but it can only handle GET requests.</p>");
    out.println("</body></html>");
  }

  //Clean up resources
  public void destroy() {}

}