/**
 *  RELOAD Editor - An IMS Metadata, Content Packaging and Learning Design tool.
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.editor.simplesequencing;

import java.io.*;

import javax.swing.*;

import org.jdom.*;
import uk.ac.reload.editor.*;
import uk.ac.reload.moonunit.schema.*;

/**
 * The Simple Sequencing ReloadSchema Controller
 *
 * @author Phillip Beauvoir
 * @version 2003-08-04
 */
public class SimpleSequencingSchemaController
extends ReloadEditorSchemaController
{
    /**
     * Constructor
     * @param fileSchema the schema file
     * @param fileHelper the schema helper file
     * @param fileVocab the schema vocab helper file
     */
    public SimpleSequencingSchemaController(File fileSchema, File fileHelper, File fileVocab) {
        super(fileSchema, fileHelper, fileVocab);
    }

	/**
	 * Get the Root element name
	 * @return the root element name
	 */
    public String getRootElementName() {
        return "sequencing";
    }

	/**
	 * Get the leaf icon
	 * @param element the element concerned
	 * @return the leaf icon
	 */
    public Icon getLeafIcon(Element element) {
        return null;
    }

	/**
	 * Get the leaf icon
	 * @param schemaElement the schema element concerned
	 * @return the leaf icon
	 */
    public Icon getLeafIcon(ReloadSchemaElement schemaElement) {
        return null;
    }

	/**
	 * Get the open icon
	 * @param element the element concerned
	 * @return the open icon
	 */
    public Icon getOpenIcon(Element element) {
        return null;
    }

	/**
	 * Get the open icon
	 * @param schemaElement the schema element concerned
	 * @return the open icon
	 */
    public Icon getOpenIcon(ReloadSchemaElement schemaElement) {
        return null;
    }

	/**
	 * Get the closed icon
	 * @param element the element concerned
	 * @return the closed icon
	 */
    public Icon getClosedIcon(Element element) {
        return null;
    }

	/**
	 * Get the closed icon
	 * @param schemaElement the schema element concerned
	 * @return the closed icon
	 */
    public Icon getClosedIcon(ReloadSchemaElement schemaElement) {
        return null;
    }
}