/**
 *  RELOAD Editor - An IMS Metadata, Content Packaging and Learning Design tool.
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.ldeditor;

import java.io.*;

import uk.ac.reload.moonunit.*;

/**
 * The Reload Editor Document/Editor opening routines
 *
 * @author Phillip Beauvoir
 * @version 2003-10-21
 */
public final class LDEditorDocumentHandler
extends IMSDocumentHandler
{

    /**
     * Schema root Folder
     */
    public static File SCHEMAROOTFOLDER = new File(System.getProperty("user.dir"), "schema");

    /**
     * Schema shipped Folder
     */
    public static File SCHEMASHIPPEDFOLDER = new File(SCHEMAROOTFOLDER, "shipped");

    /**
     * Schema model Folder
     */
    public static File SCHEMAMODELFOLDER = new File(SCHEMAROOTFOLDER, "model");

    /**
     * Schema model Folder IMS 1.00
     */
    public static File SCHEMAMODELFOLDER100 = new File(SCHEMAMODELFOLDER, IMSLD_100);


    /**
     * Helper root Folder
     */
    public static File HELPERFOLDER = new File(System.getProperty("user.dir"), "helpers");

    // =========================================================================
    // ====================================== LD ===============================
    // =========================================================================

    // Schema files
    public static File fileSchemaLDA1_0 = new File(new File(SCHEMAMODELFOLDER100, "ims"), "IMS_LD_Level_A.xsd");
    public static File fileSchemaLDB1_0 = new File(new File(SCHEMAMODELFOLDER100, "author"), "IMS_LD_Level_B.xsd");
    public static File fileSchemaLDC1_0 = new File(new File(SCHEMAMODELFOLDER100, "author"), "IMS_LD_Level_C.xsd");

    // Helper root folder
    public static File folderLDHelper = new File(HELPERFOLDER, "ld");

    // Profile folder
    public static File folderLDProfile = new File(folderLDHelper, "profile");
    public static File fileDefaultLDProfile = new File(folderLDProfile, "ims-ld_en_profile.xml");

    // Schema folder
    public static File folderLDSchemahelper = new File(folderLDHelper, "schemahelper");
    public static File fileHelperLD = new File(folderLDSchemahelper, "imsld_en_helper.xml");

    // Vocab folder
    public static File folderLDVocab = new File(folderLDHelper, "vocab");
    public static File fileVocabLD = new File(folderLDVocab, "imsld_en_vocab.xml");


}